info.bioinfweb.jphyloio.formats.nexml

## Class NeXMLWriterStreamDataProvider

- java.lang.Object
- - info.bioinfweb.jphyloio.WriterStreamDataProvider<R>
  - - info.bioinfweb.jphyloio.formats.xml.XMLWriterStreamDataProvider<NeXMLEventWriter>
    - - info.bioinfweb.jphyloio.formats.nexml.NeXMLWriterStreamDataProvider

- All Implemented Interfaces:
    NeXMLConstants

      public class NeXMLWriterStreamDataProvider
      extends XMLWriterStreamDataProvider<NeXMLEventWriter>
      implements NeXMLConstants

  Stores data that shall be shared among different implementations of `AbstractNeXMLDataReceiver` and the writer instance that uses them.
  Author:
    Sarah Wiechers

- - ### Field Summary

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.nexml.NeXMLConstants

      `ATTR_ABOUT, ATTR_CELL_SET_LINKED_IDS, ATTR_CHAR_SET_LINKED_IDS, ATTR_CODON_POSITION, ATTR_CONTENT, ATTR_DATATYPE, ATTR_GENERATOR, ATTR_HREF, ATTR_ID, ATTR_LABEL, ATTR_LENGTH, ATTR_NODE_EDGE_SET_LINKED_EDGE_IDS, ATTR_NODE_EDGE_SET_LINKED_NODE_IDS, ATTR_NODE_EDGE_SET_LINKED_ROOTEDGE_IDS, ATTR_OTU_SET_LINKED_IDS, ATTR_OTUS, ATTR_PROPERTY, ATTR_REL, ATTR_ROOT, ATTR_SEQUENCE_SET_LINKED_IDS, ATTR_SINGLE_CHAR_LINK, ATTR_SINGLE_OTU_LINK, ATTR_SINGLE_STATE_LINK, ATTR_SOURCE, ATTR_STATE_SET_LINKED_IDS, ATTR_STATES, ATTR_SYMBOL, ATTR_TARGET, ATTR_TOKENS, ATTR_TREE_SET_LINKED_NETWORK_IDS, ATTR_TREE_SET_LINKED_TREE_IDS, ATTR_VERSION, ATTR_XSI_TYPE, DEFAULT_TOKEN_DEFINITION_SET_ID_PREFIX, NEXML_DEFAULT_NAMESPACE_PREFIX, NEXML_FORMAT_NAME, NEXML_NAMESPACE, NEXML_NAMESPACE_PREFIX, NEXML_PREDICATE_NAMESPACE, NEXML_VERSION, PREDICATE_CHAR_ATTR_CODON_POSITION, PREDICATE_CHAR_ATTR_TOKENS, PREDICATE_FORMAT, PREDICATE_MATRIX, PREDICATE_ORIGINAL_LABEL, PREDICATE_ORIGINAL_TOKEN_NAME, TAG_CELL, TAG_CHAR, TAG_CHARACTERS, TAG_EDGE, TAG_FORMAT, TAG_MATRIX, TAG_MEMBER, TAG_META, TAG_NETWORK, TAG_NODE, TAG_OTU, TAG_OTUS, TAG_POLYMORPHIC, TAG_ROOT, TAG_ROOTEDGE, TAG_ROW, TAG_SEQ, TAG_SET, TAG_STATE, TAG_STATES, TAG_TREE, TAG_TREES, TAG_UNCERTAIN, TYPE_CONTIN_CELLS, TYPE_CONTIN_SEQ, TYPE_DNA_CELLS, TYPE_DNA_SEQS, TYPE_FLOAT_NETWORK, TYPE_FLOAT_TREE, TYPE_INT_NETWORK, TYPE_INT_TREE, TYPE_LITERAL_META, TYPE_PROTEIN_CELLS, TYPE_PROTEIN_SEQS, TYPE_RESOURCE_META, TYPE_RESTRICTION_CELLS, TYPE_RESTRICTION_SEQS, TYPE_RNA_CELLS, TYPE_RNA_SEQS, TYPE_STANDARD_CELLS, TYPE_STANDARD_SEQ, UNDEFINED_OTU_ID_PREFIX, UNDEFINED_OTU_LABEL, UNDEFINED_OTUS_ID_PREFIX, UNDEFINED_OTUS_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeXMLWriterStreamDataProvider(NeXMLEventWriter eventWriter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToDocumentIDs(java.lang.String id)`
    `java.lang.String` | `createNewID(java.lang.String prefix)`
    `java.util.Map<java.lang.String,NeXMLWriterAlignmentInformation>` | `getAlignmentInfoByIDMap()`
    `NeXMLWriterAlignmentInformation` | `getCurrentAlignmentInfo()`
    `URIOrStringIdentifier` | `getCurrentLiteralMetaDatatype()`
    `LiteralContentSequenceType` | `getCurrentLiteralMetaSequenceType()`
    `NeXMLWriterTokenSetInformation` | `getCurrentTokenSetInfo()`
    `java.util.Set<java.lang.String>` | `getDocumentIDs()`
    `int` | `getIDIndex()`
    `java.lang.String` | `getNeXMLPrefix(javax.xml.stream.XMLStreamWriter writer)`
    `java.util.Map<java.lang.String,java.util.EnumMap<EventContentType,java.util.Set<java.lang.String>>>` | `getSetIDToSetElementsMap()`
    `java.lang.String` | `getSingleToken()`
    `java.lang.String` | `getUndefinedOTUID()`
    `java.lang.String` | `getUndefinedOTUsID()`
    `boolean` | `hasOTUList()`
    `boolean` | `isWriteUndefinedOTU()`
    `boolean` | `isWriteUndefinedOtuList()`
    `void` | `setCurrentAlignmentInfo(NeXMLWriterAlignmentInformation currentAlignmentInfo)`
    `void` | `setCurrentLiteralMetaDatatype(URIOrStringIdentifier currentLiteralMetaDatatype)`
    `void` | `setCurrentLiteralMetaSequenceType(LiteralContentSequenceType currentLiteralMetaType)`
    `void` | `setCurrentTokenSetInfo(NeXMLWriterTokenSetInformation currentTokenSetInfo)`
    `void` | `setHasOTUList(boolean hasOTUList)`
    `void` | `setIDIndex(int idIndex)`
    `void` | `setSingleToken(java.lang.String singleToken)`
    `void` | `setUndefinedOTUID(java.lang.String undefinedOTUID)`
    `void` | `setUndefinedOTUsID(java.lang.String undefinedOTUsID)`
    `void` | `setWriteUndefinedOTU(boolean writeUndefinedOTU)`
    `void` | `setWriteUndefinedOtuList(boolean writeUndefinedOtuList)`
    `void` | `writeLabeledIDAttributes(LabeledIDEvent event)`
    `void` | `writeLabeledIDAttributes(LabeledIDEvent event, java.lang.String about)`
    `void` | `writeLinkedLabeledIDAttributes(LinkedLabeledIDEvent event, javax.xml.namespace.QName linkAttribute, boolean forceOTULink)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.xml.XMLWriterStreamDataProvider

      `getCommentContent, getNamespacePrefixes, getWriter, isLiteralContentContinued, setLiteralContentIsContinued, setNamespacePrefix`

    - ### Methods inherited from class info.bioinfweb.jphyloio.WriterStreamDataProvider

      `getEventWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NeXMLWriterStreamDataProvider

          public NeXMLWriterStreamDataProvider(NeXMLEventWriter eventWriter)

  - ### Method Detail

    - #### getDocumentIDs

          public java.util.Set<java.lang.String> getDocumentIDs()

    - #### getIDIndex

          public int getIDIndex()

    - #### setIDIndex

          public void setIDIndex(int idIndex)

    - #### addToDocumentIDs

          public void addToDocumentIDs(java.lang.String id)
                                throws JPhyloIOWriterException

      Throws:
        `JPhyloIOWriterException`

    - #### hasOTUList

          public boolean hasOTUList()

    - #### setHasOTUList

          public void setHasOTUList(boolean hasOTUList)

    - #### getCurrentLiteralMetaSequenceType

          public LiteralContentSequenceType getCurrentLiteralMetaSequenceType()

    - #### setCurrentLiteralMetaSequenceType

          public void setCurrentLiteralMetaSequenceType(LiteralContentSequenceType currentLiteralMetaType)

    - #### getCurrentLiteralMetaDatatype

          public URIOrStringIdentifier getCurrentLiteralMetaDatatype()

    - #### setCurrentLiteralMetaDatatype

          public void setCurrentLiteralMetaDatatype(URIOrStringIdentifier currentLiteralMetaDatatype)

    - #### getSetIDToSetElementsMap

          public java.util.Map<java.lang.String,java.util.EnumMap<EventContentType,java.util.Set<java.lang.String>>> getSetIDToSetElementsMap()

    - #### getCurrentAlignmentInfo

          public NeXMLWriterAlignmentInformation getCurrentAlignmentInfo()

    - #### setCurrentAlignmentInfo

          public void setCurrentAlignmentInfo(NeXMLWriterAlignmentInformation currentAlignmentInfo)

    - #### getAlignmentInfoByIDMap

          public java.util.Map<java.lang.String,NeXMLWriterAlignmentInformation> getAlignmentInfoByIDMap()

    - #### getCurrentTokenSetInfo

          public NeXMLWriterTokenSetInformation getCurrentTokenSetInfo()

    - #### setCurrentTokenSetInfo

          public void setCurrentTokenSetInfo(NeXMLWriterTokenSetInformation currentTokenSetInfo)

    - #### getSingleToken

          public java.lang.String getSingleToken()

    - #### setSingleToken

          public void setSingleToken(java.lang.String singleToken)

    - #### isWriteUndefinedOTU

          public boolean isWriteUndefinedOTU()

    - #### setWriteUndefinedOTU

          public void setWriteUndefinedOTU(boolean writeUndefinedOTU)

    - #### isWriteUndefinedOtuList

          public boolean isWriteUndefinedOtuList()

    - #### setWriteUndefinedOtuList

          public void setWriteUndefinedOtuList(boolean writeUndefinedOtuList)

    - #### getUndefinedOTUID

          public java.lang.String getUndefinedOTUID()

    - #### setUndefinedOTUID

          public void setUndefinedOTUID(java.lang.String undefinedOTUID)

    - #### getUndefinedOTUsID

          public java.lang.String getUndefinedOTUsID()

    - #### setUndefinedOTUsID

          public void setUndefinedOTUsID(java.lang.String undefinedOTUsID)

    - #### createNewID

          public java.lang.String createNewID(java.lang.String prefix)

    - #### writeLabeledIDAttributes

          public void writeLabeledIDAttributes(LabeledIDEvent event)
                                        throws javax.xml.stream.XMLStreamException,
                                               JPhyloIOWriterException

      Throws:
        `javax.xml.stream.XMLStreamException`
        `JPhyloIOWriterException`

    - #### writeLabeledIDAttributes

          public void writeLabeledIDAttributes(LabeledIDEvent event,
                                               java.lang.String about)
                                        throws javax.xml.stream.XMLStreamException,
                                               JPhyloIOWriterException

      Throws:
        `javax.xml.stream.XMLStreamException`
        `JPhyloIOWriterException`

    - #### writeLinkedLabeledIDAttributes

          public void writeLinkedLabeledIDAttributes(LinkedLabeledIDEvent event,
                                                     javax.xml.namespace.QName linkAttribute,
                                                     boolean forceOTULink)
                                              throws javax.xml.stream.XMLStreamException,
                                                     JPhyloIOWriterException

      Throws:
        `javax.xml.stream.XMLStreamException`
        `JPhyloIOWriterException`

    - #### getNeXMLPrefix

          public java.lang.String getNeXMLPrefix(javax.xml.stream.XMLStreamWriter writer)
                                          throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`